



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Mac OS使用brew安装Nginx、MySQL、PHP-FPM的LAMP开发环境</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Mac OS使用brew安装Nginx、MySQL、PHP-FPM的LAMP开发环境</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-07 01:38:33 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h3>准备工作</h3>
<div>
<pre class="prettyprint linenums">新版的 Mac OS 内置了Apache 和 PHP，我的系统版本是OS X 10.9.3，可以通过以下命令查看Apache和PHP的版本号：

httpd -v

    Server version: Apache/2.2.26 (Unix)<br />
    Server built:   Dec 10 2013 22:09:38

php --version

    PHP 5.4.24 (cli) (built: Jan 19 2014 21:32:15)<br />
    Copyright (c) 1997-2013 The PHP Group<br />
    Zend Engine v2.4.0, Copyright (c) 1998-2013 Zend Technologies<br />
因为我们要自己动手来安装 Nginx，因此首先来关闭系统自带的apache：

sudo apachectl stop  #关闭apache，如果事先没开启过，可以忽略报错信息<br />
如果你的apache已经加入了launchctl，使用下面的命令来关闭：

sudo launchctl unload -w /System/Library/LaunchDaemons/org.apache.httpd.plist<br />
为什么选择关闭apache？因为mac os x系统自带的apache是没有优雅的remove/uninstall 的方式的... 对于&ldquo;洁癖&rdquo;比较严重的童鞋，可以选择直接删除相关的文件！（千万不要手抖删错目录...）

sudo rm /usr/sbin/apachectl<br />
sudo rm /usr/sbin/httpd<br />
sudo rm -r /etc/apache2/<br />
删除自带的php

sudo rm -r /usr/bin/php</pre>
</div>
<p>如果没有安装brew，可以按照官网的步骤安装</p>
<div>
<pre class="prettyprint linenums">http://brew.sh/</pre>
</div>
<h3>nginx的安装与配置</h3>
<p>安装nginx</p>
<div>
<pre class="prettyprint linenums">brew install nginx</pre>
</div>
<p>修改配置文件</p>
<div>
<pre class="prettyprint linenums">sudo vim /usr/local/etc/nginx/nginx.conf<br />
    #修改默认的8080端口为80</pre>
</div>
<p>给予管理员权限</p>
<div>
<pre class="prettyprint linenums">Nginx监听80端口需要root权限执行，因此：<br />
sudo chown root:wheel /usr/local/Cellar/nginx/1.6.0_1/bin/nginx<br />
sudo chmod u+s /usr/local/Cellar/nginx/1.6.0_1/bin/nginx</pre>
</div>
<div>
<pre class="prettyprint linenums">加入launchctl启动控制

mkdir -p ~/Library/LaunchAgents<br />
cp /usr/local/opt/nginx/homebrew.mxcl.nginx.plist ~/Library/LaunchAgents/<br />
launchctl load -w ~/Library/LaunchAgents/homebrew.mxcl.nginx.plist</pre>
</div>
<div>
<pre class="prettyprint linenums">运行nginx

sudo nginx #打开 nginx<br />
nginx -s reload|reopen|stop|quit  #重新加载配置|重启|停止|退出 nginx<br />
nginx -t   #测试配置是否有语法错误</pre>
</div>
<pre class="prettyprint linenums"><code></code></pre>
<h3>mysql的安装与配置</h3>
<div>
<pre class="prettyprint linenums">安装mysql

brew install mysql<br />
cd /usr/local/opt/mysql/<br />
修改配置文件

sudo vim my.cnf<br />
#如果出现无法启动mysql，rm my.cnf<br />
加入launchctl启动控制

mkdir -p ~/Library/LaunchAgents/<br />
cp /usr/local/opt/mysql/homebrew.mxcl.mysql.plist ~/Library/LaunchAgents/<br />
launchctl load -w ~/Library/LaunchAgents/homebrew.mxcl.mysql.plist<br />
#取消启动<br />
#launchctl unload ~/Library/LaunchAgents/homebrew.mxcl.mysql.plist<br />
初始化 mysql

./bin/mysql_install_db<br />
执行安全设置脚本,设置root账号密码

./bin/mysql_secure_installation<br />
命令行连接mysql

mysql -uroot -p</pre>
</div>
<p>php的安装与配置</p>
<div>
<pre class="prettyprint linenums">brew 默认没有 php 安装包：

brew tap homebrew/dupes<br />
brew tap josegonzalez/homebrew-php<br />
现在可以安装php了：

brew install php54 --with-imap --with-tidy --with-debug --with-mysql --with-fpm<br />
将php路径加入PATH

sudo vim ~/.bash_profile<br />
    export PATH="$(brew --prefix php54)/bin:$PATH"

source ~/.bash_profile<br />
加入launchctl启动控制

mkdir -p ~/Library/LaunchAgents<br />
cp /usr/local/opt/php54/homebrew.mxcl.php54.plist ~/Library/LaunchAgents/<br />
launchctl load -w ~/Library/LaunchAgents/homebrew.mxcl.php54.plist<br />
配置路径

/usr/local/etc/php/5.4/php.ini<br />
/usr/local/etc/php/5.4/php-fpm.conf<br />
配置 Nginx 支持 PHP-FPM

sudo vim /usr/local/etc/nginx/nginx.conf    

    # 添加默认首页 php<br />
    index  index.php index.html index.htm;

    # 取消以下内容的注释，并做修改<br />
    location ~ \.php$ {<br />
        fastcgi_intercept_errors on;<br />
        fastcgi_pass   127.0.0.1:9000;<br />
        fastcgi_index  index.php;<br />
        fastcgi_param  SCRIPT_FILENAME  /usr/local/Cellar/nginx/1.6.0_1/html$fastcgi_script_name;<br />
        include        /usr/local/etc/nginx/fastcgi_params;<br />
    }</pre>
</div>
<h3>测试环境</h3>
<div>
<pre class="prettyprint linenums">sudo vim /usr/local/Cellar/nginx/1.6.0_1/html/index.php

    #添加测试代码<br />
    &lt;?php<br />
        phpinfo();</pre>
</div>
<h3>结语</h3>
<p>到目前为止，我们的Nginx、MySQL、PHP-FPM三大软件已经安装好了，针对不同的系统版本和软件版本，可能会遇到一些问题，欢迎留言探讨。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/rqlmwgk9.html">&lbrack;LeetCode&rsqb; Permutations II 全排列之二</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq1gvv2q.html">html5&lowbar;d登陆界面&lowbar;注册界面</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2ww3ovq.html">SecureCRT设置</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv23mzq.html">vim 学习日志（1）：剪切，复制，粘贴，删除，撤销</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zj1669.html">CSS简写及如何优化技巧</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdek7y09.html">&lbrack;AngularJS&rsqb; ngCloak</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjg1rz9.html">Redis 键&lpar;key&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/95xozlz8.html">POJ 2752 Seek the Name&comma; Seek the Fame&lpar;next数组的理解&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnj4xnk8.html">java线程相关</a>
		</li>
						<li><a href="https://www.batexi.com/a/96pwjmy8.html">sublime test2 快捷键</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jp143q.html">关于 chrome canary X64 在 win7 64bit 下面缺少openvr&lowbar;api&period;dll的解决方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gj0mlz9.html">Sublime Text3&mdash;常用插件Emmet</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r5e2dmq.html">day 06 列表去重， 数据类型的补充，编码，深浅copy</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnvrpkg8.html">Go语言包管理工具dep</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnnmrpkq.html">移动端web开发整理</a>
		</li>
						<li><a href="https://www.batexi.com/a/qve1x0z9.html">iOS开发技巧 - 使用和定制开关控件&lpar;UISwitch&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qved1rz9.html">8 -- 深入使用Spring -- 3&period;&period;&period; 资源访问</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1vj2v4q.html">poj-1015&lpar;状态转移的方向（01背包）和结果的输出）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9635voj9.html">大数据学习资料之SQL与NOSQL数据库</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2k67zwq.html">2017-2018-2 20165301 实验四《Java面向对象程序设计》实验报告</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/m8z1gg39.html">string&period;empty &comma; &amp;quot&semi;&amp;quot&semi; &comma; null 以及性能的比较</a>
			</li>
						<li><a href="https://www.batexi.com/a/495xrxv8.html">jasmine test 页面测试工具</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q7mmmgq.html">UTFGrid</a>
			</li>
						<li><a href="https://www.batexi.com/a/0qwddvl8.html">学习笔记 MYSQL报错注入&lpar;count&lpar;&rpar;、rand&lpar;&rpar;、group by&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/2q7mz3kq.html">C语言中的far关键字</a>
			</li>
						<li><a href="https://www.batexi.com/a/1q2w5nvq.html">jquery 金额转换成大写</a>
			</li>
						<li><a href="https://www.batexi.com/a/m96om5n9.html">sql server 常用的扩展存储过程</a>
			</li>
						<li><a href="https://www.batexi.com/a/1q2wxn3q.html">利用DetachedCriteria构建HQL参数动态匹配</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8okv2p9.html">log4net在Realse下有个好大的坑呀。</a>
			</li>
						<li><a href="https://www.batexi.com/a/rqlmkj09.html">BZOJ2301&colon; &lbrack;HAOI2011&rsqb;Problem b&lbrack;莫比乌斯反演 容斥原理&rsqb;【学习笔记】</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
